Initialize Transaction

This endpoint creates a transaction object which can be initiated to collect payments from your customers.

{
  "status": "success",
  "data": {
    "id": 117,
    "reference": "bq_uEAwya8Da0WIJ9-rA",
    "amount_paid": null,
    "status": "INITIATED",
    "description": null,
    "initialized_amount": 1000,
    "payment_amount": null,
    "payment_address": null,
    "payment_currency": null,
    "initialized_currency": 2,
    "merchant": {
      "id": 10,
      "name": "Appstate"
    }
  },
  "meta": {}
}
Body Params
customer
object

customer's infomation

string
Defaults to 1000

amount for the transaction

string
Defaults to NGN

USD or NGN

meta
object
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json